Bug 122146 - running yum triggers selinux warnings
running yum triggers selinux warnings
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-30 17:37 EDT by Florin Andrei
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-10 09:08:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florin Andrei 2004-04-30 17:37:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040116

Description of problem:
I'm just doing "yum install blah" type-of-thing. It pretty much works
fine, however, it vomits a bunch of selinux warnings, even though
selinux is supposedly disabled in FC2t3.
There are hundreds of warnings, i'm only copy/pasting a few:

/etc/security/selinux/file_contexts:  invalid context
root:object_r:staff_home_xauth_t on line number 1853
/etc/security/selinux/file_contexts:  invalid context
system_u:object_r:default_context_t on line number 1854
/etc/security/selinux/file_contexts:  invalid context
system_u:object_r:amanda_recover_dir_t on line number 1855
/etc/security/selinux/file_contexts:  invalid context
system_u:object_r:staff_home_spamassassin_t on line number 1856

Is it an issue with selinux? With yum?
I'm not even sure it's a bug proper - feel free to close the ticket if
i'm talking through my hat.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run "yum install ..."
2.
3.
    

Actual Results:  hundreds upon hundreds of selinux warnings

Expected Results:  no warnings, 'cause selinux is allegedly turned off

Additional info:

For a description of the system (hardware, how i installed it), have a
look at bug #122043
Comment 1 Leonard den Ottolander 2004-05-11 05:14:59 EDT
Are you still seeing these errors?
Comment 2 Jeff Johnson 2004-07-10 09:08:05 EDT
Closed for lack of input.

Note You need to log in before you can comment on or make changes to this bug.